org.apache.catalina.startup

## Class CatalinaProperties

- java.lang.Object
- - org.apache.catalina.startup.CatalinaProperties

-     public class CatalinaProperties
      extends Object

  Utility class to read the bootstrap Catalina configuration.
  Author:
    Remy Maucherat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalinaProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getProperty(String name)` Return specified property value.
    `static String` | `getProperty(String name, String defaultValue)` Deprecated. Unused - will be removed in 8.0.x

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CatalinaProperties

          public CatalinaProperties()

  - ### Method Detail

    - #### getProperty

          public static String getProperty(String name)

      Return specified property value.

    - #### getProperty

          @Deprecated
          public static String getProperty(String name,
                                      String defaultValue)

      Deprecated. Unused - will be removed in 8.0.x
      Return specified property value.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.